import logging

from barix.be_flask.uci import getValueOfUci

log = logging.getLogger('flask-backend')

def getIPFormerSources():
    try:
        result = {}
        config_dict = getValueOfUci('flexa_ip_former')
        """
        {'tpa400': {'level': 'PoE_Optimized'}, 'source1': {'name': 'Informacast', 'type': 'informacast', 'config': '{"url":"","idleaudio":"","idleaudio_format":"ULAW_8KHZ"}', 'volume': '90', 'prio': '1', 'enabled': 'true'}, 'source2': {'type': 'syn-apps', 'enabled': 'true', 'volume': '90', 'prio': '2', 'name': 'Synapps', 'config': '{"server":""}'}, 'source3': {}, 'source4': {}, 'source5': {}}
        """
        for key in config_dict:
            if key.startswith('source'):
                resultKey = "flexa_ip_former." + key
                section_dict = config_dict[key]
                for key in section_dict:
                    uci = resultKey + "." + key
                    result[uci] = section_dict[key]
        log.debug('flexa_ip_former ucis : {}'.format(result))
    except Exception as e:
        log.error(e)
        raise e
    else:
        return result